> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# gleap-engagement-outbound

> Gleap Outbound Engagement - banners, chat messages, emails, push notifications, and WhatsApp

**Server path:** `/gleap-engagement-outbound` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                              | Description                      |
| --------------------------------------------------------------------------------------------------------------------------------- | -------------------------------- |
| [`gleap_engagement_outbound_create_banner`](#gleap_engagement_outbound_create_banner)                                             | Create a new banner              |
| [`gleap_engagement_outbound_create_chat_message`](#gleap_engagement_outbound_create_chat_message)                                 | Create a new chat message        |
| [`gleap_engagement_outbound_create_engagement_email`](#gleap_engagement_outbound_create_engagement_email)                         | Create a new email               |
| [`gleap_engagement_outbound_create_engagement_push_notification`](#gleap_engagement_outbound_create_engagement_push_notification) | Create a new push notification   |
| [`gleap_engagement_outbound_create_whatsapp_message`](#gleap_engagement_outbound_create_whatsapp_message)                         | Create a new whatsapp message    |
| [`gleap_engagement_outbound_delete_banner`](#gleap_engagement_outbound_delete_banner)                                             | Delete an banner                 |
| [`gleap_engagement_outbound_delete_chat_message`](#gleap_engagement_outbound_delete_chat_message)                                 | Delete an chat message           |
| [`gleap_engagement_outbound_delete_email`](#gleap_engagement_outbound_delete_email)                                               | Delete an email                  |
| [`gleap_engagement_outbound_delete_push_notification`](#gleap_engagement_outbound_delete_push_notification)                       | Delete a push notification       |
| [`gleap_engagement_outbound_delete_whatsapp_message`](#gleap_engagement_outbound_delete_whatsapp_message)                         | Delete a whatsapp message        |
| [`gleap_engagement_outbound_get_banner`](#gleap_engagement_outbound_get_banner)                                                   | Get an banner                    |
| [`gleap_engagement_outbound_get_banners`](#gleap_engagement_outbound_get_banners)                                                 | Get all banners                  |
| [`gleap_engagement_outbound_get_chat_message`](#gleap_engagement_outbound_get_chat_message)                                       | Get an chat message              |
| [`gleap_engagement_outbound_get_chat_messages`](#gleap_engagement_outbound_get_chat_messages)                                     | Get all chat messages            |
| [`gleap_engagement_outbound_get_email`](#gleap_engagement_outbound_get_email)                                                     | Get an email                     |
| [`gleap_engagement_outbound_get_emails`](#gleap_engagement_outbound_get_emails)                                                   | Get all emails                   |
| [`gleap_engagement_outbound_get_push_notification`](#gleap_engagement_outbound_get_push_notification)                             | Get a push notification          |
| [`gleap_engagement_outbound_get_push_notifications`](#gleap_engagement_outbound_get_push_notifications)                           | Get all push notification        |
| [`gleap_engagement_outbound_get_whatsapp_message`](#gleap_engagement_outbound_get_whatsapp_message)                               | Get a whatsapp message           |
| [`gleap_engagement_outbound_get_whatsapp_messages`](#gleap_engagement_outbound_get_whatsapp_messages)                             | Get all whatsapp message         |
| [`gleap_engagement_outbound_send_email_preview`](#gleap_engagement_outbound_send_email_preview)                                   | Send email preview               |
| [`gleap_engagement_outbound_send_whatsapp_template_message`](#gleap_engagement_outbound_send_whatsapp_template_message)           | Send a whatsapp template message |
| [`gleap_engagement_outbound_update_banner`](#gleap_engagement_outbound_update_banner)                                             | Update an banner                 |
| [`gleap_engagement_outbound_update_chat_message`](#gleap_engagement_outbound_update_chat_message)                                 | Update an chat message           |
| [`gleap_engagement_outbound_update_engagement_email`](#gleap_engagement_outbound_update_engagement_email)                         | Update an email                  |
| [`gleap_engagement_outbound_update_engagement_push_notification`](#gleap_engagement_outbound_update_engagement_push_notification) | Update a push notification       |
| [`gleap_engagement_outbound_update_whatsapp_message`](#gleap_engagement_outbound_update_whatsapp_message)                         | Update a whatsapp message        |

***

## gleap\_engagement\_outbound\_create\_banner

Create a new banner

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |
| `body`    | object | Yes      | —       | Request body      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project",
      "body"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_create\_chat\_message

Create a new chat message

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |
| `body`    | object | Yes      | —       | Request body      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project",
      "body"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_create\_engagement\_email

Create a new email

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |
| `body`    | object | Yes      | —       | Request body      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project",
      "body"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_create\_engagement\_push\_notification

Create a new push notification

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |
| `body`    | object | Yes      | —       | Request body      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project",
      "body"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_create\_whatsapp\_message

Create a new whatsapp message

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |
| `body`    | object | Yes      | —       | Request body      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project",
      "body"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_delete\_banner

Delete an banner

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `bannerId` | string | Yes      | —       | Banner Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "bannerId": {
        "type": "string",
        "description": "Banner Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "bannerId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_delete\_chat\_message

Delete an chat message

**Parameters:**

| Parameter       | Type   | Required | Default | Description       |
| --------------- | ------ | -------- | ------- | ----------------- |
| `chatMessageId` | string | Yes      | —       | Chat Message Id   |
| `project`       | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "chatMessageId": {
        "type": "string",
        "description": "Chat Message Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "chatMessageId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_delete\_email

Delete an email

**Parameters:**

| Parameter           | Type   | Required | Default | Description         |
| ------------------- | ------ | -------- | ------- | ------------------- |
| `engagementEmailId` | string | Yes      | —       | Engagement Email Id |
| `project`           | string | Yes      | —       | The project value   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "engagementEmailId": {
        "type": "string",
        "description": "Engagement Email Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "engagementEmailId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_delete\_push\_notification

Delete a push notification

**Parameters:**

| Parameter            | Type   | Required | Default | Description          |
| -------------------- | ------ | -------- | ------- | -------------------- |
| `pushNotificationId` | string | Yes      | —       | Push Notification Id |
| `project`            | string | Yes      | —       | The project value    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "pushNotificationId": {
        "type": "string",
        "description": "Push Notification Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "pushNotificationId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_delete\_whatsapp\_message

Delete a whatsapp message

**Parameters:**

| Parameter           | Type   | Required | Default | Description         |
| ------------------- | ------ | -------- | ------- | ------------------- |
| `whatsappMessageId` | string | Yes      | —       | Whatsapp Message Id |
| `project`           | string | Yes      | —       | The project value   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "whatsappMessageId": {
        "type": "string",
        "description": "Whatsapp Message Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "whatsappMessageId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_banner

Get an banner

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `bannerId` | string | Yes      | —       | Banner Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "bannerId": {
        "type": "string",
        "description": "Banner Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "bannerId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_banners

Get all banners

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_chat\_message

Get an chat message

**Parameters:**

| Parameter       | Type   | Required | Default | Description       |
| --------------- | ------ | -------- | ------- | ----------------- |
| `chatMessageId` | string | Yes      | —       | Chat Message Id   |
| `project`       | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "chatMessageId": {
        "type": "string",
        "description": "Chat Message Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "chatMessageId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_chat\_messages

Get all chat messages

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_email

Get an email

**Parameters:**

| Parameter           | Type   | Required | Default | Description         |
| ------------------- | ------ | -------- | ------- | ------------------- |
| `engagementEmailId` | string | Yes      | —       | Engagement Email Id |
| `project`           | string | Yes      | —       | The project value   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "engagementEmailId": {
        "type": "string",
        "description": "Engagement Email Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "engagementEmailId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_emails

Get all emails

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_push\_notification

Get a push notification

**Parameters:**

| Parameter            | Type   | Required | Default | Description          |
| -------------------- | ------ | -------- | ------- | -------------------- |
| `pushNotificationId` | string | Yes      | —       | Push Notification Id |
| `project`            | string | Yes      | —       | The project value    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "pushNotificationId": {
        "type": "string",
        "description": "Push Notification Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "pushNotificationId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_push\_notifications

Get all push notification

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_whatsapp\_message

Get a whatsapp message

**Parameters:**

| Parameter           | Type   | Required | Default | Description         |
| ------------------- | ------ | -------- | ------- | ------------------- |
| `whatsappMessageId` | string | Yes      | —       | Whatsapp Message Id |
| `project`           | string | Yes      | —       | The project value   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "whatsappMessageId": {
        "type": "string",
        "description": "Whatsapp Message Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "whatsappMessageId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_get\_whatsapp\_messages

Get all whatsapp message

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_send\_email\_preview

Send email preview

**Parameters:**

| Parameter           | Type      | Required | Default | Description         |
| ------------------- | --------- | -------- | ------- | ------------------- |
| `engagementEmailId` | string    | Yes      | —       | Engagement Email Id |
| `project`           | string    | Yes      | —       | The project value   |
| `emails`            | string\[] | Yes      | —       | The emails value    |
| `lang`              | string    | No       | —       | The lang value      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "engagementEmailId": {
        "type": "string",
        "description": "Engagement Email Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "emails": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The emails value"
      },
      "lang": {
        "type": "string",
        "description": "The lang value"
      }
    },
    "required": [
      "PCID",
      "engagementEmailId",
      "project",
      "emails"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_send\_whatsapp\_template\_message

Send a whatsapp template message

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                     |
| -------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------- |
| `project`      | string | Yes      | —       | The project value                                                               |
| `channelId`    | string | Yes      | —       | The WhatsApp channel ID from your project                                       |
| `customValues` | object | No       | —       | Construct a type with a set of properties K of type T                           |
| `languageCode` | string | No       | —       | Language code (e.g. "en\_US"). Falls back to the contact's language or "en\_US" |
| `templateName` | string | Yes      | —       | Name of the WhatsApp template registered with Meta                              |
| `to`           | string | Yes      | —       | Recipient phone number (E.164 format, e.g. "+14155552671")                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "channelId": {
        "type": "string",
        "description": "The WhatsApp channel ID from your project"
      },
      "customValues": {
        "type": "object",
        "description": "Construct a type with a set of properties K of type T"
      },
      "languageCode": {
        "type": "string",
        "description": "Language code (e.g. \"en_US\"). Falls back to the contact's language or \"en_US\""
      },
      "templateName": {
        "type": "string",
        "description": "Name of the WhatsApp template registered with Meta"
      },
      "to": {
        "type": "string",
        "description": "Recipient phone number (E.164 format, e.g. \"+14155552671\")"
      }
    },
    "required": [
      "PCID",
      "project",
      "channelId",
      "templateName",
      "to"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_update\_banner

Update an banner

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `bannerId` | string | Yes      | —       | Banner Id         |
| `project`  | string | Yes      | —       | The project value |
| `body`     | object | Yes      | —       | Request body      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "bannerId": {
        "type": "string",
        "description": "Banner Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "bannerId",
      "project",
      "body"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_update\_chat\_message

Update an chat message

**Parameters:**

| Parameter       | Type   | Required | Default | Description       |
| --------------- | ------ | -------- | ------- | ----------------- |
| `chatMessageId` | string | Yes      | —       | Chat Message Id   |
| `project`       | string | Yes      | —       | The project value |
| `body`          | object | Yes      | —       | Request body      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "chatMessageId": {
        "type": "string",
        "description": "Chat Message Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "chatMessageId",
      "project",
      "body"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_update\_engagement\_email

Update an email

**Parameters:**

| Parameter           | Type   | Required | Default | Description         |
| ------------------- | ------ | -------- | ------- | ------------------- |
| `engagementEmailId` | string | Yes      | —       | Engagement Email Id |
| `project`           | string | Yes      | —       | The project value   |
| `body`              | object | Yes      | —       | Request body        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "engagementEmailId": {
        "type": "string",
        "description": "Engagement Email Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "engagementEmailId",
      "project",
      "body"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_update\_engagement\_push\_notification

Update a push notification

**Parameters:**

| Parameter            | Type   | Required | Default | Description          |
| -------------------- | ------ | -------- | ------- | -------------------- |
| `pushNotificationId` | string | Yes      | —       | Push Notification Id |
| `project`            | string | Yes      | —       | The project value    |
| `body`               | object | Yes      | —       | Request body         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "pushNotificationId": {
        "type": "string",
        "description": "Push Notification Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "pushNotificationId",
      "project",
      "body"
    ]
  }
  ```
</Expandable>

***

## gleap\_engagement\_outbound\_update\_whatsapp\_message

Update a whatsapp message

**Parameters:**

| Parameter           | Type   | Required | Default | Description         |
| ------------------- | ------ | -------- | ------- | ------------------- |
| `whatsappMessageId` | string | Yes      | —       | Whatsapp Message Id |
| `project`           | string | Yes      | —       | The project value   |
| `body`              | object | Yes      | —       | Request body        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "whatsappMessageId": {
        "type": "string",
        "description": "Whatsapp Message Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "whatsappMessageId",
      "project",
      "body"
    ]
  }
  ```
</Expandable>
